package com.magistr.app.repository;

import com.magistr.app.model.Classroom;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.List;

public interface ClassroomRepository extends JpaRepository<Classroom, Long> {
    Optional<Classroom> findByName(String name);

    List<Classroom> findByStatusNot(String status);
}
